<?php
/**
 * The template part for displaying gallery post
 *
 * @package VW Wedding 
 * @subpackage vw_wedding
 * @since VW Wedding 1.0
 */
?>
<div id="post-<?php the_ID(); ?>" <?php post_class('inner-service'); ?>>
  <div class="post-main-box">
    <div class="box-image">
      <?php
        if ( ! is_single() ) {

          // If not a single post, highlight the gallery.
          if ( get_post_gallery() ) {
            echo '<div class="entry-gallery">';
              echo ( get_post_gallery() );
            echo '</div>';
          };
        };
      ?>
    </div>
    <h3 class="section-title"><a href="<?php echo esc_url( get_permalink() ); ?>" title="<?php the_title_attribute(); ?>"><?php the_title();?></a></h3>
    <?php if(get_theme_mod('vw_wedding_toggle_postdate',true)==1 || get_theme_mod('vw_wedding_toggle_author',true)==1 || get_theme_mod('vw_wedding_toggle_comments',true)==1){ ?> 
    <div class="post-info">
      <?php if(get_theme_mod('vw_wedding_toggle_postdate',true)==1){ ?> 
        <i class="fa fa-calendar" aria-hidden="true"></i><span class="entry-date"><?php the_date(); ?></span>
      <?php } ?>

      <?php if(get_theme_mod('vw_wedding_toggle_author',true)==1){ ?> 
        <i class="fa fa-user" aria-hidden="true"></i><span class="entry-author"> <?php the_author(); ?></span>
      <?php } ?>

      <?php if(get_theme_mod('vw_wedding_toggle_comments',true)==1){ ?> 
        <i class="fa fa-comments" aria-hidden="true"></i><span class="entry-comments"><?php comments_number( __('0 Comment','vw-wedding'), __('0 Comments','vw-wedding'), __('% Comments','vw-wedding') ); ?> </span>
      <?php } ?>
    </div>
    <?php }?>
    <div class="new-text"><p><?php $excerpt = get_the_excerpt(); echo esc_html( vw_wedding_string_limit_words( $excerpt, esc_attr(get_theme_mod('vw_wedding_excerpt_number','30')))); ?></p><?php the_excerpt();?>
    </div>
    <div class="content-bttn">
      <a href="<?php echo esc_url( get_permalink() );?>" class="blogbutton-small hvr-sweep-to-right" title="<?php esc_attr_e( 'Read More','vw-wedding' ); ?>"><?php esc_html_e('Read More','vw-wedding'); ?></a>
    </div>
  </div>
</div>